Skip to main content
POST
/
api
/
data
/
v1
/
data-files
/
copy
/
{sourceDataFileId}
/
revisions
/
current
/
{targetDataFileId}
Copy/Move a File
curl --request POST \
  --url https://{instance}.domo.com/api/data/v1/data-files/copy/{sourceDataFileId}/revisions/current/{targetDataFileId} \
  --header 'X-DOMO-Developer-Token: <api-key>'
{
  "revisionId": 123
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-arun-raj-connetors-domo-480645-add-reports-sort-asc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Domo Developer Token for authentication (Assumed based on similar APIs).

Path Parameters

sourceDataFileId
integer
required
targetDataFileId
integer
required

Response

Returns the new revision id for the target file.

revisionId
integer